Record sets and records
Query governed knowledge records as of a business-valid instant
Query governed knowledge records as of a business-valid instant
curl --request POST \
--url https://api.atlan.com/ontology/v1/record-queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/record-queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/record-queries"
payload = { "ontology_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"as_of": "2023-11-07T05:31:56Z",
"has_more": true,
"limit": 1,
"offset": 1,
"ontology_id": "<string>",
"records": [
{
"artifact_id": "<string>",
"artifact_version": 123,
"content_hash": "<string>",
"display_name": "<string>",
"name": "<string>",
"record": {
"api_name": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"lifecycle_state": "draft",
"ontology_id": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release_id": "<string>",
"version_label": "<string>"
},
"record_type": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
},
"record_type_artifact_id": "<string>",
"values": {},
"effective_to": "2023-11-07T05:31:56Z",
"knowledge_references": [
{
"concept": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
}
],
"relationships": [
{
"relationship_type": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
},
"target_record_id": "<string>",
"valid_time": {
"effective_from": "<string>",
"effective_to": "<string>"
}
}
],
"supersedes": [
"<string>"
]
}
}
],
"scan_truncated": true,
"scanned_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Available options:
draft, active, superseded, retired Required range:
x >= 0Required range:
x >= 0Response
HTTP 200 response.
⌘I
Query governed knowledge records as of a business-valid instant
curl --request POST \
--url https://api.atlan.com/ontology/v1/record-queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/record-queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/record-queries"
payload = { "ontology_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"as_of": "2023-11-07T05:31:56Z",
"has_more": true,
"limit": 1,
"offset": 1,
"ontology_id": "<string>",
"records": [
{
"artifact_id": "<string>",
"artifact_version": 123,
"content_hash": "<string>",
"display_name": "<string>",
"name": "<string>",
"record": {
"api_name": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"lifecycle_state": "draft",
"ontology_id": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release_id": "<string>",
"version_label": "<string>"
},
"record_type": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
},
"record_type_artifact_id": "<string>",
"values": {},
"effective_to": "2023-11-07T05:31:56Z",
"knowledge_references": [
{
"concept": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
}
}
],
"relationships": [
{
"relationship_type": {
"artifact_id": "<string>",
"content_hash": "<string>",
"kind": "<string>",
"version_ordinal": 123
},
"target_record_id": "<string>",
"valid_time": {
"effective_from": "<string>",
"effective_to": "<string>"
}
}
],
"supersedes": [
"<string>"
]
}
}
],
"scan_truncated": true,
"scanned_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}